New Ticket     Tickets     Wiki     Browse Source     Timeline     Roadmap     Ticket Reports     Search

Ticket #18165 (closed defect: fixed)

Opened 6 years ago

Last modified 6 years ago

qt3 and x11 libraries

Reported by: jjstickel@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 1.7.0
Keywords: x11 dependencies Cc: jmr@…
Port: qt3

Description

I recently removed all the xorg ports that I had installed (and all dependents) and reinstalled qt3, allowing xorg dependencies to be pulled in. I did not use the system_x11 variant. Afterward, qt3 applications did not start:

$ /opt/local/bin/assistant 
_X11TransSocketUNIXConnect: Cannot connect to non-local host ############
XIO:  fatal IO error 22 (Unknown error: 0) on X server ":0.0"
      after 102 requests (98 known processed) with 0 events remaining.

Apparently, qt3 was linking against system x11 libraries that were not specified as dependencies:

$ otool -L /opt/local/bin/assistant
/opt/local/bin/assistant:
        /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 369.8.0)
        /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.8)
        /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3)
        /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0)
        /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0)
        /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0)
        /opt/local/lib/libXrender.1.dylib (compatibility version 5.0.0, current version 5.0.0)
        /opt/local/lib/libXrandr.2.dylib (compatibility version 4.0.0, current version 4.0.0)
        /opt/local/lib/libXcursor.1.dylib (compatibility version 2.0.0, current version 2.2.0)
        /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0)
        /opt/local/lib/libXft.2.dylib (compatibility version 4.0.0, current version 4.13.0)
        /opt/local/lib/libfreetype.6.dylib (compatibility version 10.0.0, current version 10.19.0)
        /opt/local/lib/libfontconfig.1.dylib (compatibility version 5.0.0, current version 5.0.0)
        /opt/local/lib/libXext.6.dylib (compatibility version 11.0.0, current version 11.0.0)
        /opt/local/lib/libX11.6.dylib (compatibility version 9.0.0, current version 9.0.0)
        /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.3.11)
        /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0)
        /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0)
        /usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 7.4.0)
        /usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current version 1.0.0)

After installing xorg-libs and re-installing qt3, qt3 applications work (e.g. /opt/local/bin/assistant). It appears there needs to be more xorg lib dependencies stated in the qt3 Portfile.

Change History

comment:1 Changed 6 years ago by jjstickel@…

See also ticket #18164.

comment:2 Changed 6 years ago by anonymous

  • Milestone Port Bugs deleted

Milestone Port Bugs deleted

comment:3 Changed 6 years ago by jmr@…

  • Cc jmr@… added
  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.